#...............................................................................
#
#  IO Ninja capabilities
#

[capability]
id = com.ioninja.terminal
name = "Terminal"
description = "Enables terminal window in sessions"
usage = "Can be used in all non-read-only stream-based plugins"
free = true

[capability]
id = com.ioninja.layer
name = "Layers"
description = "Enables attaching layers to sessions and logs"
usage = "Required by all layer plugins (e.g. protocol analyzers)"

[capability]
id = com.ioninja.session-link
name = "Session Linking"
description = "Enables linking sessions for socat-like functionality"
usage = "Can be used in all streaming plugins"

[capability]
id = com.ioninja.script
name = "In-App Scripting"
description = "Enables the script pane"
usage = "Can be used in all plugins"
free = true

[capability]
id = com.ioninja.packet-library
name = "Packet Library"
description = "Enables the packet history & packet library panes"
usage = "Can be used in all non-read-only plugins"

[capability]
id = com.ioninja.log-colorizer
name = "Log Colorizer"
description = "Enables the regex-based colorization of binary data in the log"
usage = "Can be used in all plugins"

[capability]
id = com.ioninja.io.serial-tap
name = "Serial Tap"
description = "Required for working with a Serial Tap for IO Ninja"
free = true

[capability]
id = com.ioninja.io.ethernet-tap
name = "Ethernet Tap"
description = "Required for working with an Ethernet Tap for IO Ninja"
free = true

[capability]
id = com.ioninja.io.i2c-spi-tap
name = "I2C/SPI Tap"
description = "Required for working with an I2C/SPI Tap for IO Ninja"
free = true

[capability]
id = org.jancy.io.file
name = "Basic File IO"
description = "Required for working with disk files"
free = true

[capability]
id = org.jancy.io.file-stream
name = "File Streams"
description = "Required for working with low-level file streams"
free = true

[capability]
id = org.jancy.io.serial
name = "Serial"
description = "Required for establishing serial links"

[capability]
id = org.jancy.io.net
name = "Basic Networking"
description = "Basic socket operations, host name resolving, network adapter enumeration, etc."
free = true

[capability]
id = org.jancy.io.server
name = "Server-side Networking"
description = "Required for accepting network connections"

[capability]
id = org.jancy.io.ip4
name = "IPv4 Transport"
description = "Required for establishing IPv4 connections"
free = true

[capability]
id = org.jancy.io.ip6
name = "IPv6 Transport"
description = "Required for establishing IPv6 connections"

[capability]
id = org.jancy.io.tcp
name = "TCP Protocol"
description = "Required for establishing TCP connections"
free = true

[capability]
id = org.jancy.io.udp
name = "UDP Protocol"
description = "Required for working with connectionless UDP sockets"

[capability]
id = org.jancy.io.ssl
name = "SSL Protocol"
description = "Required for establishing raw SSL connections"

[capability]
id = org.jancy.io.ssh
name = "SSH Protocol"
description = "Required for establishing SSH connections"

[capability]
id = org.jancy.io.websocket
name = "WebSockets"
description = "Required for establishing WebSocket connections"

[capability]
id = org.jancy.io.pcap
name = "Packet Capturing"
description = "Required for capturing network packets via Pcap"

[capability]
id = org.jancy.io.usb
name = "USB Communications"
description = "Required for low-level IO operations on USB endpoints"

[capability-win]
id = org.jancy.io.devmon
name = "Device Monitoring"
description = "Required for monitoring app-to-kernel interactions"

[capability-lnx]
id = org.jancy.io.devmon
name = "Device Monitoring"
description = "Required for monitoring app-to-kernel interactions"

[capability]
id = org.jancy.io.child-process
name = "Child Processes"
description = "Required for starting and running child processes"

[capability-win]
id = org.jancy.io.win.named-pipe
name = "Windows Named Pipes"
description = "Required for creating Windows named pipe servers"

[capability-win]
id = org.jancy.io.win.mailslot
name = "Windows Mailslots"
description = "Required for creating Windows mailslots"
